# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-04-22 14:36
from __future__ import unicode_literals

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('viewflow', '0005_rename_flowcls'),
    ]

    operations = [
        migrations.CreateModel(
            name='Acta',
            fields=[
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('id_acta', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('descripcion', models.CharField(max_length=300)),
                ('acta', models.FilePathField(null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ambProcess',
            fields=[
                ('process_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='viewflow.Process')),
                ('text', models.CharField(max_length=150)),
                ('approved', models.BooleanField(default=False)),
                ('verificaInfo', models.BooleanField(default=False)),
                ('infoCompleta', models.BooleanField(default=False)),
                ('pagoRealizado', models.BooleanField(default=False)),
                ('agendarVisita', models.DateField(blank=True, null=True)),
                ('realizaVisita', models.BooleanField(default=False)),
                ('people', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
            bases=('viewflow.process',),
        ),
        migrations.CreateModel(
            name='Anexo',
            fields=[
                ('id_anexo', models.CharField(max_length=12, primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=200)),
                ('anexo', models.FilePathField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Balance',
            fields=[
                ('id_balance', models.CharField(max_length=8, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,8}$')])),
                ('descripcion', models.CharField(max_length=200)),
                ('valor_compensado', models.DecimalField(decimal_places=2, max_digits=8)),
                ('valor_afectacion', models.DecimalField(decimal_places=2, max_digits=8)),
                ('valor_balance', models.DecimalField(decimal_places=2, max_digits=8)),
            ],
        ),
        migrations.CreateModel(
            name='Coordinador',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identificacion', models.IntegerField()),
                ('nombre', models.CharField(max_length=200)),
                ('telefono', models.CharField(max_length=10)),
                ('direccion', models.CharField(max_length=100)),
                ('mail', models.CharField(max_length=150)),
                ('coordinacion', models.CharField(choices=[('01', 'Flora'), ('02', 'Fauna'), ('03', 'Hidricos'), ('04', 'Residuos'), ('05', 'Aire')], default='01', max_length=1)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Expediente',
            fields=[
                ('id_expediente', models.CharField(max_length=5, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,5}$')])),
                ('nombre', models.CharField(max_length=200)),
                ('resolucion', models.CharField(blank=True, max_length=12, null=True)),
                ('autorizacion', models.CharField(blank=True, max_length=12, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Ficha_individuo',
            fields=[
                ('id_arbol', models.CharField(max_length=8, primary_key=True, serialize=False)),
                ('latitud', models.DecimalField(decimal_places=6, max_digits=10, null=True)),
                ('longitud', models.DecimalField(decimal_places=6, max_digits=10, null=True)),
                ('nombre', models.CharField(max_length=100)),
                ('familia', models.CharField(max_length=100)),
                ('estado', models.CharField(max_length=300)),
                ('altura', models.FloatField()),
                ('dap', models.FloatField()),
                ('valor', models.DecimalField(decimal_places=2, max_digits=8)),
            ],
        ),
        migrations.CreateModel(
            name='Informe_tecnico',
            fields=[
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('id_informe', models.CharField(max_length=8, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,8}$')])),
                ('nombre', models.CharField(max_length=100)),
                ('descripcion', models.CharField(max_length=300)),
                ('Informe', models.FilePathField(null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Recaudo',
            fields=[
                ('numero_recaudo', models.IntegerField(primary_key=True, serialize=False)),
                ('banco', models.CharField(max_length=200)),
                ('valor', models.DecimalField(decimal_places=2, max_digits=8)),
            ],
        ),
        migrations.CreateModel(
            name='Seguimiento',
            fields=[
                ('id_seguimiento', models.CharField(max_length=8, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,8}$')])),
                ('nombre', models.CharField(max_length=100)),
                ('descripcion', models.CharField(max_length=300)),
                ('adjunto', models.FilePathField(null=True)),
                ('id_balance', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='amb.Balance')),
            ],
        ),
        migrations.CreateModel(
            name='Solicitante',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identificacion', models.IntegerField()),
                ('nombre', models.CharField(max_length=200)),
                ('telefono', models.CharField(max_length=10)),
                ('direccion', models.CharField(max_length=100)),
                ('mail', models.CharField(max_length=150)),
                ('barrio', models.CharField(max_length=100)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Solicitud',
            fields=[
                ('id_solicitud', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=200)),
                ('direccion', models.CharField(default=' ', max_length=100)),
                ('barrio', models.CharField(default=' ', max_length=100)),
                ('municipio', models.CharField(default=' ', max_length=100)),
                ('fecha', models.DateField(blank=True, null=True)),
                ('id_expedinte', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='amb.Expediente')),
                ('id_solicitante', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='amb.Solicitante')),
            ],
        ),
        migrations.CreateModel(
            name='Tecnico',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identificacion', models.IntegerField()),
                ('nombre', models.CharField(max_length=200)),
                ('telefono', models.CharField(max_length=10)),
                ('direccion', models.CharField(max_length=100)),
                ('mail', models.CharField(max_length=150)),
                ('coordinacion', models.CharField(choices=[('01', 'Flora'), ('02', 'Fauna'), ('03', 'Hidricos'), ('04', 'Residuos'), ('05', 'Aire')], default='01', max_length=1)),
                ('id_solicitud', models.ManyToManyField(blank=True, to='amb.Solicitud')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Visita',
            fields=[
                ('id_visita', models.CharField(max_length=5, primary_key=True, serialize=False, validators=[django.core.validators.RegexValidator('^\\d{1,10}$')])),
                ('detalles', models.CharField(max_length=300)),
                ('fecha', models.DateField()),
                ('id_arbol', models.ManyToManyField(to='amb.Ficha_individuo')),
                ('id_solicitud', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='amb.Solicitud')),
            ],
        ),
        migrations.AddField(
            model_name='tecnico',
            name='id_visita',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='amb.Visita'),
        ),
        migrations.AddField(
            model_name='seguimiento',
            name='id_visita',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='amb.Visita'),
        ),
        migrations.AddField(
            model_name='coordinador',
            name='id_solicitud',
            field=models.ManyToManyField(blank=True, to='amb.Solicitud'),
        ),
        migrations.AddField(
            model_name='anexo',
            name='id_solicitud',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='amb.Solicitud'),
        ),
        migrations.AddField(
            model_name='acta',
            name='id_visita',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='amb.Visita'),
        ),
    ]
